Bug 1326589 - [RFE] add virtio-gpu and virtio-vga support
Summary: [RFE] add virtio-gpu and virtio-vga support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Hrdina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1195176 1295907
Blocks: 1288337
TreeView+ depends on / blocked
 
Reported: 2016-04-13 07:45 UTC by Michal Privoznik
Modified: 2016-11-04 02:02 UTC (History)
24 users (show)

(edit)
Clone Of: 1195176
(edit)
Last Closed: 2016-11-04 02:02:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2269 normal SHIPPED_LIVE virt-manager bug fix and enhancement update 2016-11-03 13:34:19 UTC

Comment 2 Niccolò Belli 2016-05-20 10:07:25 UTC
Any news on this?

Comment 3 Pavel Hrdina 2016-05-26 07:37:46 UTC
Upstream commit:

commit 8ba48f5299409354fb610cd8620987e635c90643
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Mar 4 12:31:52 2016 +0100

    virtinst: add virtio device model and accel3d attribute
    
    Signed-off-by: Marc-André Lureau <marcandre.lureau@redhat.com>

Comment 4 Niccolò Belli 2016-05-26 10:39:46 UTC
Thanks. Do you know when the next release is planned?

Comment 6 zhoujunqin 2016-07-22 04:02:41 UTC
Try to verify this bug with new build:
virt-manager-1.4.0-1.el7.noarch
virt-install-1.4.0-1.el7.noarch
libvirt-python-2.0.0-1.el7.x86_64
libvirt-2.0.0-2.el7.x86_64
qemu-kvm-rhev-2.6.0-14.el7.x86_64

Steps:
1. Check virt-install manual page for checking 'virtio device model' is add or not.
# man virt-install
...
       --video OPTIONS
           Specify what video device model will be attached to the guest. Valid values for VIDEO are hypervisor specific, but some options for recent kvm are cirrus, vga, qxl, virtio, or vmvga (vmware).

           Use --video=? to see a list of all available sub options. Complete details at <http://libvirt.org/formatdomain.html#elementsVideo>
...

# virt-install --video ?
--video options:
  accel3d
  address.base
  address.bus
  address.controller
  address.cssid
  address.devno
  address.domain
  address.function
  address.iobase
  address.irq
  address.multifunction
  address.port
  address.reg
  address.slot
  address.ssid
  address.target
  address.type
  address.unit
  clearxml
  heads
  model
  ram
  vgamem
  vram

Result-step-1:
virtio device model and accel3d attribute is added to virt-install.

2. Try to install a vm with virtio device model and enable accel3d attribute.

# virt-install --name=test1 --ram=1024 --vcpus=2  --location=http://download.eng.pek2.redhat.com/pub/rhel/nightly/latest-RHEL-6.*/6.8/Server/x86_64/os/ --disk=/var/lib/libvirt/images/test1.img,size=5 --video model=virtio,accel3d=yes 
WARNING  qemu/libvirt version may not support virtio accel3d

Starting install...
Retrieving file vmlinuz...                                                                                                                                                                  | 4.1 MB  00:00:00     
Retrieving file initrd.img...                                                                                                                                                               |  39 MB  00:00:03     
Allocating 'test1.img'                                                                                                                                                                      | 5.0 GB  00:00:00     
ERROR    unsupported configuration: virtio 3d acceleration is not supported
Removing disk 'test1.img'                                                                                                                                                                   |    0 B  00:00:00     
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///system start test1
otherwise, please restart your installation.

Result-step-2: 
Install vm failed with error 'unsupported configuration: virtio 3d acceleration is not supported'.

Step3: Repeat step2 with virtio device model and disable accel3d attribute.

# virt-install --name=test1 --ram=1024 --vcpus=2  --location=http://download.eng.pek2.redhat.com/pub/rhel/nightly/latest-RHEL-6.*/6.8/Server/x86_64/os/ --disk=/var/lib/libvirt/images/test1.img,size=5 --video model=virtio,accel3d=no

Result-step-3:
Vm 'test1' installed and boot up with virtio video model successfully.
# virsh dumpxml test1
...
      <model type='virtio' heads='1' primary='yes'>
        <acceleration accel3d='no'/>
      </model>
      <alias name='video0'/>
...

Step4: Check from virt-manager GUI, virtio has added in 'Video Model'. 
Launch virt-manager--->Select virtual machine 'rhel6.8latest'--->Open--->'Show virtual machine details'--->change video model to 'Virtio'--->Apply--->Start vm.

Result-step-4:
vm can boot up with changing video to 'Virtio'

So Pavel Hrdina, please help check above verifying steps, especially result for step2, my question is:
Q1: If we cannot test '3d acceleration' now, i think there should have description in manual page for user, such as which package version will supports, thanks.

Q2: Whether my steps above is enough to verify this bug, it seems vm can only work with just configure video to 'Virtio'.

Comment 8 Niccolò Belli 2016-07-22 14:23:39 UTC
Is kernel 4.4-LTS enough to test it?

Comment 9 Pavel Hrdina 2016-07-22 15:46:09 UTC
No it isn't.  It requires other components.  There is a repository <https://copr.fedorainfracloud.org/coprs/kraxel/virgl/> that contains required versions that are not yet provided via distribution repositories and also you need to have at least qemu-2.5.0, libvirt-1.3.3 and virt-manager-1.4.0 on the host to make it work with virt-manager.

Comment 10 zhoujunqin 2016-07-25 07:17:39 UTC
To make verify steps more clear, thanks for Pavel's reply.

Using package version:
libvirt-2.0.0-3.el7.x86_64
libvirt-python-2.0.0-1.el7.x86_64
virt-manager-1.4.0-1.el7.noarch
virt-install-1.4.0-1.el7.noarch
qemu-kvm-rhev-2.6.0-15.el7.x86_64

Steps:
1. Check virt-install manual page for checking 'virtio device model' is add or not.
# man virt-install
...
       --video OPTIONS
           Specify what video device model will be attached to the guest. Valid values for VIDEO are hypervisor specific, but some
           options for recent kvm are cirrus, vga, qxl, virtio, or vmvga (vmware).
...

Result-step-1:
virtio device model and accel3d attribute is added to virt-install.

Step2: Create a new vm with "--video model=virtio".


# virt-install --name=test1 --ram=1024 --vcpus=2  --location=http://download.eng.pek2.redhat.com/pub/rhel/nightly/latest-RHEL-6.*/6.8/Server/x86_64/os/ --disk=/var/lib/libvirt/images/test1.img,size=5 --video model=virtio

Result-step-2
Vm 'test1' installed and boot up with virtio video model successfully.

# virsh dumpxml test1
...
    <video>
      <model type='virtio' heads='1' primary='yes'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>


Step3: Check from virt-manager GUI, virtio has added in 'Video Model'. 
Launch virt-manager--->Select virtual machine 'rhel6.8latest'--->Open--->'Show virtual machine details'--->change video model to 'Virtio'--->Apply--->Start vm.

Result-step-3:
vm can boot up with changing video to 'Virtio'

VM works well with virtio video model, so move this bug from ON_QA to VERIFIED.

Comment 11 Niccolò Belli 2016-08-14 18:12:15 UTC
I get "[drm] virgl 3d acceleration not available" after "[drm] pci: virtio-vga detected". I'm using virt-manager 1.4.0 on Arch Linux with kernel 4.7, libvirt 2.1.0 (also tried git) and qemu 2.6.0. Guest is Fedora 24.

Comment 13 errata-xmlrpc 2016-11-04 02:02:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2269.html


Note You need to log in before you can comment on or make changes to this bug.